Validate authorization to update password. Restricted to special 'CHANGE_PASSWORD' role
Parameters
No parameters.
cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/auth/password" \
-H "Authorization: Bearer $SENTINEL_TOKEN"
Token, password, SSO, login-as, and account authentication flows.
Filtering by query: /v1.0/auth/password
Validate authorization to update password. Restricted to special 'CHANGE_PASSWORD' role
Parameters
No parameters.
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/auth/password" \
-H "Authorization: Bearer $SENTINEL_TOKEN"Updates user password in case user forgot current password. Restricted to special 'CHANGE_PASSWORD' role
Parameters
PasswordRequestBodybodyobjectrequiredPasswordRequestBody
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/auth/password" \
-H "Authorization: Bearer $SENTINEL_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"example": true,
"corpId": "NORTHSTAR-ISD"
}'Request a password reset. Sends a password reset link to the user’s email.
Parameters
usernamebodyobjectrequiredUser login name associated with user
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/auth/passwordReset" \
-H "Authorization: Bearer $SENTINEL_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"example": true,
"corpId": "NORTHSTAR-ISD"
}'Grab a Dev SIM, get an API key, and POST /v1.0/auth/token from anywhere.